monsieurp 15/03/15 16:57:23
Modified: lxml-3.4.1.ebuild lxml-3.3.5.ebuild
lxml-3.4.2.ebuild lxml-3.3.6.ebuild
lxml-3.4.0.ebuild ChangeLog
Log:
Patch broken tests in 3.3.x and 3.4.0 versions. Fix bug 439156.
(Portage version: 2.2.14/cvs/Linux x86_64, unsigned Manifest commit)
Revision Changes Path
1.8 dev-python/lxml/lxml-3.4.1.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/lxml/lxml-3.4.1.ebuild?rev=1.8&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/lxml/lxml-3.4.1.ebuild?rev=1.8&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/lxml/lxml-3.4.1.ebuild?r1=1.7&r2=1.8
Index: lxml-3.4.1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/lxml/lxml-3.4.1.ebuild,v
retrieving revision 1.7
retrieving revision 1.8
diff -u -r1.7 -r1.8
--- lxml-3.4.1.ebuild 8 Mar 2015 23:53:11 -0000 1.7
+++ lxml-3.4.1.ebuild 15 Mar 2015 16:57:23 -0000 1.8
@@ -1,6 +1,6 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/lxml/lxml-3.4.1.ebuild,v 1.7
2015/03/08 23:53:11 pacho Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/lxml/lxml-3.4.1.ebuild,v 1.8
2015/03/15 16:57:23 monsieurp Exp $
EAPI=5
@@ -13,7 +13,7 @@
LICENSE="BSD ElementTree GPL-2 PSF-2"
SLOT="0"
-KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 ~s390 ~sh
~sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos
~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 ~s390 ~sh
~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos
~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="beautifulsoup3 doc examples +threads"
# Note: lib{xml2,xslt} are used as C libraries, not Python modules.
1.14 dev-python/lxml/lxml-3.3.5.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/lxml/lxml-3.3.5.ebuild?rev=1.14&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/lxml/lxml-3.3.5.ebuild?rev=1.14&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/lxml/lxml-3.3.5.ebuild?r1=1.13&r2=1.14
Index: lxml-3.3.5.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/lxml/lxml-3.3.5.ebuild,v
retrieving revision 1.13
retrieving revision 1.14
diff -u -r1.13 -r1.14
--- lxml-3.3.5.ebuild 24 Nov 2014 16:02:53 -0000 1.13
+++ lxml-3.3.5.ebuild 15 Mar 2015 16:57:23 -0000 1.14
@@ -1,6 +1,6 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/lxml/lxml-3.3.5.ebuild,v 1.13
2014/11/24 16:02:53 floppym Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/lxml/lxml-3.3.5.ebuild,v 1.14
2015/03/15 16:57:23 monsieurp Exp $
EAPI=5
@@ -50,6 +50,15 @@
cp -r -l src/lxml/html/tests "${BUILD_DIR}"/lib/lxml/html/ || die
ln -s "${S}"/doc "${BUILD_DIR}"/ || die
+ OLDPWD=$(pwd)
+ cd "${BUILD_DIR}" || die "can't cd into ${BUILD_DIR}"
+
+ # Patching test files has to happen at this precise moment.
+ # Not before, not after but now.
+ epatch "${FILESDIR}"/lxml-3.3.x-test_etree.py.patch
+
+ cd "${OLDPWD}"
+
local test
for test in test.py selftest.py selftest2.py; do
einfo "Running ${test}"
1.2 dev-python/lxml/lxml-3.4.2.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/lxml/lxml-3.4.2.ebuild?rev=1.2&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/lxml/lxml-3.4.2.ebuild?rev=1.2&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/lxml/lxml-3.4.2.ebuild?r1=1.1&r2=1.2
Index: lxml-3.4.2.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/lxml/lxml-3.4.2.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- lxml-3.4.2.ebuild 9 Feb 2015 00:07:01 -0000 1.1
+++ lxml-3.4.2.ebuild 15 Mar 2015 16:57:23 -0000 1.2
@@ -1,6 +1,6 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/lxml/lxml-3.4.2.ebuild,v 1.1
2015/02/09 00:07:01 radhermit Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/lxml/lxml-3.4.2.ebuild,v 1.2
2015/03/15 16:57:23 monsieurp Exp $
EAPI=5
@@ -13,7 +13,7 @@
LICENSE="BSD ElementTree GPL-2 PSF-2"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc
~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos
~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc
~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos
~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris ~arm64"
IUSE="beautifulsoup3 doc examples +threads"
# Note: lib{xml2,xslt} are used as C libraries, not Python modules.
1.4 dev-python/lxml/lxml-3.3.6.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/lxml/lxml-3.3.6.ebuild?rev=1.4&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/lxml/lxml-3.3.6.ebuild?rev=1.4&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/lxml/lxml-3.3.6.ebuild?r1=1.3&r2=1.4
Index: lxml-3.3.6.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/lxml/lxml-3.3.6.ebuild,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- lxml-3.3.6.ebuild 24 Nov 2014 16:02:53 -0000 1.3
+++ lxml-3.3.6.ebuild 15 Mar 2015 16:57:23 -0000 1.4
@@ -1,6 +1,6 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/lxml/lxml-3.3.6.ebuild,v 1.3
2014/11/24 16:02:53 floppym Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/lxml/lxml-3.3.6.ebuild,v 1.4
2015/03/15 16:57:23 monsieurp Exp $
EAPI=5
@@ -50,6 +50,15 @@
cp -r -l src/lxml/html/tests "${BUILD_DIR}"/lib/lxml/html/ || die
ln -s "${S}"/doc "${BUILD_DIR}"/ || die
+ OLDPWD=$(pwd)
+ cd "${BUILD_DIR}" || die "can't cd into ${BUILD_DIR}"
+
+ # Patching test files has to happen at this precise moment.
+ # Not before, not after but now.
+ epatch "${FILESDIR}"/lxml-3.3.x-test_etree.py.patch
+
+ cd "${OLDPWD}"
+
local test
for test in test.py selftest.py selftest2.py; do
einfo "Running ${test}"
1.4 dev-python/lxml/lxml-3.4.0.ebuild
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/lxml/lxml-3.4.0.ebuild?rev=1.4&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/lxml/lxml-3.4.0.ebuild?rev=1.4&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/lxml/lxml-3.4.0.ebuild?r1=1.3&r2=1.4
Index: lxml-3.4.0.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/lxml/lxml-3.4.0.ebuild,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- lxml-3.4.0.ebuild 24 Nov 2014 16:02:53 -0000 1.3
+++ lxml-3.4.0.ebuild 15 Mar 2015 16:57:23 -0000 1.4
@@ -1,6 +1,6 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/lxml/lxml-3.4.0.ebuild,v 1.3
2014/11/24 16:02:53 floppym Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/lxml/lxml-3.4.0.ebuild,v 1.4
2015/03/15 16:57:23 monsieurp Exp $
EAPI=5
@@ -50,6 +50,17 @@
cp -r -l src/lxml/html/tests "${BUILD_DIR}"/lib/lxml/html/ || die
ln -s "${S}"/doc "${BUILD_DIR}"/ || die
+ OLDPWD=$(pwd)
+
+ cd "${BUILD_DIR}" || die "can't cd into ${BUILD_DIR}"
+
+ # Patching test files has to happen at this precise moment.
+ # Not before, not after but now.
+ epatch "${FILESDIR}"/"${P}"-test_xslt.py.patch
+ epatch "${FILESDIR}"/"${P}"-common_imports.py.patch
+
+ cd "${OLDPWD}"
+
local test
for test in test.py selftest.py selftest2.py; do
einfo "Running ${test}"
1.213 dev-python/lxml/ChangeLog
file :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/lxml/ChangeLog?rev=1.213&view=markup
plain:
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/lxml/ChangeLog?rev=1.213&content-type=text/plain
diff :
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/lxml/ChangeLog?r1=1.212&r2=1.213
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/lxml/ChangeLog,v
retrieving revision 1.212
retrieving revision 1.213
diff -u -r1.212 -r1.213
--- ChangeLog 8 Mar 2015 23:53:11 -0000 1.212
+++ ChangeLog 15 Mar 2015 16:57:23 -0000 1.213
@@ -1,6 +1,13 @@
# ChangeLog for dev-python/lxml
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/lxml/ChangeLog,v 1.212
2015/03/08 23:53:11 pacho Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/lxml/ChangeLog,v 1.213
2015/03/15 16:57:23 monsieurp Exp $
+
+ 15 Mar 2015; Patrice Clement <[email protected]>
+ +files/lxml-3.3.x-test_etree.py.patch,
+ +files/lxml-3.4.0-common_imports.py.patch,
+ +files/lxml-3.4.0-test_xslt.py.patch, lxml-3.3.5.ebuild, lxml-3.3.6.ebuild,
+ lxml-3.4.0.ebuild, lxml-3.4.1.ebuild, lxml-3.4.2.ebuild:
+ Patch broken tests in 3.3.x and 3.4.0 versions. Fix bug 439156.
08 Mar 2015; Pacho Ramos <[email protected]> lxml-3.4.1.ebuild:
x86 stable, bug 540290